Loading...
Searching...
No Matches
flags.h File Reference
`#include "platform.h"`
`#include "algorithm.h"`
`#include "initializer_list.h"`
`#include "integral_limits.h"`
`#include "static_assert.h"`
`#include "type_traits.h"`
`#include <stddef.h>`

Go to the source code of this file.

## Classes

class | etl::flags< T, MASK >

## Namespaces

namespace | etl

## Functions

template<typename T, T MASK>
ETL_CONSTEXPR bool | etl::operator== (flags< T, MASK > lhs, flags< T, MASK > rhs) ETL_NOEXCEPT
| operator ==
template<typename T, T MASK>
ETL_CONSTEXPR bool | etl::operator!= (flags< T, MASK > lhs, flags< T, MASK > rhs) ETL_NOEXCEPT
| operator !=
template<typename T, T MASK>
void | etl::swap (etl::flags< T, MASK > &lhs, etl::flags< T, MASK > &rhs) ETL_NOEXCEPT
| swap

## Variables

template<typename T, T MASK>
ETL_CONSTANT flags< T, MASK >::value_type | etl::flags< T, MASK >::ALL_SET
template<typename T, T MASK>
ETL_CONSTANT flags< T, MASK >::value_type | etl::flags< T, MASK >::ALL_CLEAR
template<typename T, T MASK>
ETL_CONSTANT size_t | etl::flags< T, MASK >::NBITS